Subject: Re: bug#74435: Scrollbar width is not respected on Windows

From: Cecilio Pardo <[email-masked]>
Date: Thu, 21 Nov 2024 23:21:05 +0100

I have tracked (I think) this problem to the function 
frame.c:gui_set_scroll_bar_width

If the new value for the scrollbars width is equal to the current one, 
then it resets width to the default size.

The 'if' tests for arg != FRAME_CONFIG_SCROLL_BAR_WIDTH(f).
That is, if arg is equal to current width, the 'else' path is taken, 
which resets to default.

I suppose this should test for arg != "DEFAULT_WIDTH", but I don't know 
where to find that.

Maybe you could not reproduce it because your scrollbars are on the 
default size?